diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/Abcd206ImportConfigurator.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/Abcd206ImportConfigurator.java
index 2511bc7936..55233b66d3 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/Abcd206ImportConfigurator.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/Abcd206ImportConfigurator.java
@@ -10,6 +10,7 @@
 package eu.etaxonomy.cdm.io.specimen.abcd206.in;
 
 
+import java.io.InputStream;
 import java.net.URI;
 import java.util.HashMap;
 import java.util.Map;
@@ -17,6 +18,7 @@ import java.util.UUID;
 
 import org.apache.log4j.Logger;
 
+import eu.etaxonomy.cdm.common.UriUtils;
 import eu.etaxonomy.cdm.database.ICdmDataSource;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
 import eu.etaxonomy.cdm.io.common.IMatchingImportConfigurator;
@@ -32,8 +34,9 @@ import eu.etaxonomy.cdm.model.reference.Reference;
  * @created 20.10.2008
  * @version 1.0
  */
-public class Abcd206ImportConfigurator extends ImportConfiguratorBase<Abcd206ImportState, URI> implements IImportConfigurator, IMatchingImportConfigurator {
+public class Abcd206ImportConfigurator extends ImportConfiguratorBase<Abcd206ImportState, InputStream> implements IImportConfigurator, IMatchingImportConfigurator {
     private static final Logger logger = Logger.getLogger(Abcd206ImportConfigurator.class);
+    
     private static String sourceReferenceTitle = null;
     private boolean parseNameAutomatically = false;
     private boolean reuseExistingMetadata = true;
@@ -47,12 +50,15 @@ public class Abcd206ImportConfigurator extends ImportConfiguratorBase<Abcd206Imp
     private String defaultAuthor="";
     private boolean allowReuseOtherClassifications =true;
 
+    
     private final SpecimenUserInteraction specimenUserInteraction = new SpecimenUserInteraction();
 
     private Map<String,UUID> namedAreaDecisions = new HashMap<String,UUID>();
 
     //TODO
     private static IInputTransformer defaultTransformer = null;
+    
+    private URI sourceUri;
 
     @Override
     @SuppressWarnings("unchecked")
@@ -63,9 +69,8 @@ public class Abcd206ImportConfigurator extends ImportConfiguratorBase<Abcd206Imp
         };
     };
 
-    public static Abcd206ImportConfigurator NewInstance(URI uri,
-            ICdmDataSource destination){
-        return new Abcd206ImportConfigurator(uri, destination);
+    public static Abcd206ImportConfigurator NewInstance(URI uri,ICdmDataSource destination){
+        return new Abcd206ImportConfigurator(null, uri, destination, false);
     }
 
     /**
@@ -75,30 +80,33 @@ public class Abcd206ImportConfigurator extends ImportConfiguratorBase<Abcd206Imp
      * @return
      */
     public static Abcd206ImportConfigurator NewInstance(URI uri, ICdmDataSource destination, boolean interact) {
-        return new Abcd206ImportConfigurator(uri, destination,interact);
+        return new Abcd206ImportConfigurator(null, uri, destination, interact);
     }
 
-
     /**
-     * @param berlinModelSource
-     * @param sourceReference
-     * @param destination
+     * @param uri
+     * @param object
+     * @param b
+     * @return
      */
-    private Abcd206ImportConfigurator(URI uri, ICdmDataSource destination) {
-        super(defaultTransformer);
-        setSource(uri);
-        setDestination(destination);
-        setSourceReferenceTitle("ABCD classic");
+    public static Abcd206ImportConfigurator NewInstance(InputStream stream, ICdmDataSource destination, boolean interact) {
+        return new Abcd206ImportConfigurator(stream, null, destination, interact);
     }
 
+    
+    
     /**
      * @param berlinModelSource
      * @param sourceReference
      * @param destination
      */
-    private Abcd206ImportConfigurator(URI uri, ICdmDataSource destination, boolean interact) {
+    private Abcd206ImportConfigurator(InputStream stream, URI uri, ICdmDataSource destination, boolean interact) {
         super(defaultTransformer);
-        setSource(uri);
+        if (stream != null){
+        	setSource(stream);
+        }else{
+        	this.sourceUri = uri;
+        }
         setDestination(destination);
         setSourceReferenceTitle("ABCD classic");
         setInteractWithUser(interact);
@@ -118,16 +126,41 @@ public class Abcd206ImportConfigurator extends ImportConfiguratorBase<Abcd206Imp
 
 
     @Override
-    public URI getSource(){
-        return super.getSource();
+    public InputStream getSource(){
+        if (super.getSource() != null){
+        	return super.getSource();
+        }else if (this.sourceUri != null){
+        	try {
+				InputStream is = UriUtils.getInputStream(sourceUri);
+				setSource(is);
+				return is;
+			} catch (Exception e) {
+				throw new RuntimeException(e);
+			}
+        }else{
+        	return null;
+        }
     }
 
     /**
      * @param file
      */
     @Override
-    public void setSource(URI uri) {
-        super.setSource(uri);
+    public void setSource(InputStream is) {
+    	this.sourceUri = null;
+    	super.setSource(is);
+    }
+    
+    public URI getSourceUri(){
+    	return this.sourceUri;
+    }
+    
+    /**
+     * @param file
+     */
+    public void setSourceUri(URI sourceUri) {
+        this.sourceUri = sourceUri;
+        super.setSource(null);
     }
 
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/Abcd206ImportState.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/Abcd206ImportState.java
index ee9bfce322..593ab98fac 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/Abcd206ImportState.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/Abcd206ImportState.java
@@ -13,6 +13,7 @@ package eu.etaxonomy.cdm.io.specimen.abcd206.in;
 import org.apache.log4j.Logger;
 import org.springframework.transaction.TransactionStatus;
 
+import eu.etaxonomy.cdm.api.application.ICdmApplicationConfiguration;
 import eu.etaxonomy.cdm.io.common.CdmImportBase;
 import eu.etaxonomy.cdm.io.common.ImportStateBase;
 
@@ -27,10 +28,16 @@ public class Abcd206ImportState extends ImportStateBase<Abcd206ImportConfigurato
 
 	private TransactionStatus tx;
 	
+	private ICdmApplicationConfiguration cdmRepository; 
+	
+//****************** CONSTRUCTOR ***************************************************/	
+	
 	public Abcd206ImportState(Abcd206ImportConfigurator config) {
 		super(config);
 	}
 
+//************************ GETTER / SETTER *****************************************/
+	
 	public TransactionStatus getTx() {
 		return tx;
 	}
@@ -38,7 +45,13 @@ public class Abcd206ImportState extends ImportStateBase<Abcd206ImportConfigurato
 	public void setTx(TransactionStatus tx) {
 		this.tx = tx;
 	}
-	
-	
+
+	public ICdmApplicationConfiguration getCdmRepository() {
+		return cdmRepository;
+	}
+
+	public void setCdmRepository(ICdmApplicationConfiguration cdmRepository) {
+		this.cdmRepository = cdmRepository;
+	}
 
 }
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/NamedAreaLevelExcelImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/NamedAreaLevelExcelImport.java
index 80b4a95925..f7f0f936ec 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/NamedAreaLevelExcelImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/NamedAreaLevelExcelImport.java
@@ -17,14 +17,10 @@ import org.apache.commons.lang.StringUtils;
 import org.apache.log4j.Logger;
 import org.springframework.stereotype.Component;
 
-import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
-import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade.DerivedUnitType;
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.io.common.ICdmIO;
 import eu.etaxonomy.cdm.io.excel.common.ExcelImporterBase;
-import eu.etaxonomy.cdm.model.common.IdentifiableSource;
 import eu.etaxonomy.cdm.model.location.NamedAreaLevel;
-import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
 
 /**
  * @author p.kelbert
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenCdmExcelImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenCdmExcelImport.java
index 47ac56d3f0..b86856bf31 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenCdmExcelImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenCdmExcelImport.java
@@ -19,7 +19,6 @@ import org.apache.log4j.Logger;
 import org.springframework.stereotype.Component;
 
 import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
-import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade.DerivedUnitType;
 import eu.etaxonomy.cdm.api.service.config.MatchingTaxonConfigurator;
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.io.common.ICdmIO;
@@ -44,7 +43,7 @@ import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.NamedAreaLevel;
 import eu.etaxonomy.cdm.model.location.NamedAreaType;
 import eu.etaxonomy.cdm.model.location.ReferenceSystem;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
+import eu.etaxonomy.cdm.model.location.Country;
 import eu.etaxonomy.cdm.model.name.BotanicalName;
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
 import eu.etaxonomy.cdm.model.name.NonViralName;
@@ -54,8 +53,9 @@ import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.name.ZoologicalName;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
@@ -65,6 +65,7 @@ import eu.etaxonomy.cdm.strategy.exceptions.StringNotParsableException;
 import eu.etaxonomy.cdm.strategy.exceptions.UnknownCdmTypeException;
 import eu.etaxonomy.cdm.strategy.parser.INonViralNameParser;
 import eu.etaxonomy.cdm.strategy.parser.NonViralNameParserImpl;
+import eu.etaxonomy.cdm.strategy.parser.TimePeriodParser;
 
 /**
  * @author a.mueller
@@ -232,7 +233,7 @@ public class SpecimenCdmExcelImport  extends ExcelTaxonOrSpecimenImportBase<Spec
 		
 		
 		} else if(keyValue.key.matches(SOURCE_COLUMN)) {
-			row.putSourceReference(keyValue.index, getOrMakeReference(state, value));	
+			row.putSourceReference(keyValue.index, getOrMakeReference(state, value) );	
 		} else if(keyValue.key.matches(ID_IN_SOURCE_COLUMN)) {
 			row.putIdInSource(keyValue.index, value);		
 		} else if(keyValue.key.matches(EXTENSION_COLUMN)) {
@@ -256,12 +257,12 @@ public class SpecimenCdmExcelImport  extends ExcelTaxonOrSpecimenImportBase<Spec
 		SpecimenRow row = state.getCurrentRow();
 		
 		//basis of record
-		DerivedUnitType type = DerivedUnitType.valueOf2(row.getBasisOfRecord());
+		SpecimenOrObservationType type = SpecimenOrObservationType.valueOf2(row.getBasisOfRecord());
 		if (type == null){
 			String message = "%s is not a valid BasisOfRecord. 'Unknown' is used instead in line %d.";
 			message = String.format(message, row.getBasisOfRecord(), state.getCurrentLine());
 			logger.warn(message);
-			type = DerivedUnitType.DerivedUnit;
+			type = SpecimenOrObservationType.DerivedUnit;
 		}
 		DerivedUnitFacade facade = DerivedUnitFacade.NewInstance(type);
 		
@@ -428,13 +429,13 @@ public class SpecimenCdmExcelImport  extends ExcelTaxonOrSpecimenImportBase<Spec
 				getTaxonService().saveOrUpdate(taxon);
 				if (state.getConfig().isMakeIndividualAssociations() && taxon != null){
 					IndividualsAssociation indivAssociciation = IndividualsAssociation.NewInstance();
-					DerivedUnitBase<?> du = facade.innerDerivedUnit();
+					DerivedUnit du = facade.innerDerivedUnit();
 					indivAssociciation.setAssociatedSpecimenOrObservation(du);
 					getTaxonDescription(taxon).addElement(indivAssociciation);
 					Feature feature = Feature.INDIVIDUALS_ASSOCIATION();
-					if (facade.getType().equals(DerivedUnitType.Specimen)){
+					if (facade.getType().isPreservedSpecimen()){
 						feature = Feature.SPECIMEN();
-					}else if (facade.getType().equals(DerivedUnitType.Observation)){
+					}else if (facade.getType().isFeatureObservation()){
 						feature = Feature.OBSERVATION();
 					}
 					if (state.getConfig().isUseMaterialsExaminedForIndividualsAssociations()){
@@ -474,7 +475,7 @@ public class SpecimenCdmExcelImport  extends ExcelTaxonOrSpecimenImportBase<Spec
 		//rank
 		Rank rank;
 		try {
-			rank = StringUtils.isBlank(commonDetermination.rank) ? null : Rank.getRankByNameOrAbbreviation(commonDetermination.rank, true);
+			rank = StringUtils.isBlank(commonDetermination.rank) ? null : Rank.getRankByNameOrIdInVoc(commonDetermination.rank, true);
 		} catch (UnknownCdmTypeException e) {
 			rank = null;
 		}
@@ -649,7 +650,7 @@ public class SpecimenCdmExcelImport  extends ExcelTaxonOrSpecimenImportBase<Spec
 		NomenclaturalCode nc = state.getConfig().getNomenclaturalCode();
 		try {
 			if (StringUtils.isNotBlank(determinationLight.rank) ){
-				name.setRank(Rank.getRankByNameOrAbbreviation(determinationLight.rank, nc, true));
+				name.setRank(Rank.getRankByNameOrIdInVoc(determinationLight.rank, nc, true));
 			}
 		} catch (UnknownCdmTypeException e) {
 			String message = "Rank not found: %s: ";
@@ -694,7 +695,7 @@ public class SpecimenCdmExcelImport  extends ExcelTaxonOrSpecimenImportBase<Spec
 		event.setTaxon(taxon);
 		
 		//date
-		TimePeriod date = TimePeriod.parseString(determination.determinedWhen);
+		TimePeriod date = TimePeriodParser.parseString(determination.determinedWhen);
 		event.setTimeperiod(date);
 		//by
 		//FIXME bracketAuthors and teams not yet implemented!!!
@@ -931,7 +932,7 @@ public class SpecimenCdmExcelImport  extends ExcelTaxonOrSpecimenImportBase<Spec
 			}
 		}
 		if (StringUtils.isNotBlank(row.getCountry())){
-			List<WaterbodyOrCountry> countries = getOccurrenceService().getWaterbodyOrCountryByName(row.getCountry());
+			List<Country> countries = getOccurrenceService().getCountryByName(row.getCountry());
 			if (countries.size() >0){
 				facade.setCountry(countries.get(0));
 			}else{
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenRow.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenRow.java
index 881aca90f0..bd412e57ca 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenRow.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenRow.java
@@ -18,6 +18,7 @@ import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.excel.common.ExcelRowBase;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
@@ -310,11 +311,11 @@ public class SpecimenRow extends ExcelRowBase{
 
 
 	public void putIdInSource(int key, String id){
-		IdentifiableSource source = getOrMakeSource(key);
+		IdentifiableSource source = getOrMakeSource(key, OriginalSourceType.Import);
 		source.setIdInSource(id);
 	}
 	public void putSourceReference(int key, Reference<?> reference){
-		IdentifiableSource source = getOrMakeSource(key);
+		IdentifiableSource source = getOrMakeSource(key, OriginalSourceType.Unknown);
 		source.setCitation(reference);
 	}
 
@@ -368,10 +369,10 @@ public class SpecimenRow extends ExcelRowBase{
 	 * @param key
 	 * @return
 	 */
-	private IdentifiableSource getOrMakeSource(int key) {
+	private IdentifiableSource getOrMakeSource(int key, OriginalSourceType type) {
 		IdentifiableSource  source = sources.get(key);
 		if (source == null){
-			source = IdentifiableSource.NewInstance();
+			source = IdentifiableSource.NewInstance(type);
 			sources.put(key, source);
 		}
 		return source;
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenSythesysExcelImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenSythesysExcelImport.java
index addc4a07bb..5e29a6d1a7 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenSythesysExcelImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenSythesysExcelImport.java
@@ -29,7 +29,6 @@ import org.springframework.stereotype.Component;
 import org.springframework.transaction.TransactionStatus;
 
 import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
-import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade.DerivedUnitType;
 import eu.etaxonomy.cdm.common.ExcelUtils;
 import eu.etaxonomy.cdm.io.common.CdmImportBase;
 import eu.etaxonomy.cdm.io.common.ICdmIO;
@@ -41,10 +40,11 @@ import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
-import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
 import eu.etaxonomy.cdm.model.common.UuidAndTitleCache;
+import eu.etaxonomy.cdm.model.description.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.IndividualsAssociation;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
@@ -54,15 +54,10 @@ import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
 import eu.etaxonomy.cdm.model.name.NonViralName;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
-import eu.etaxonomy.cdm.model.occurrence.Fossil;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
-import eu.etaxonomy.cdm.model.occurrence.LivingBeing;
-import eu.etaxonomy.cdm.model.occurrence.Observation;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 import eu.etaxonomy.cdm.model.taxon.Classification;
@@ -70,6 +65,7 @@ import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.cdm.strategy.parser.NonViralNameParserImpl;
+import eu.etaxonomy.cdm.strategy.parser.TimePeriodParser;
 
 /**
  * @author p.kelbert
@@ -113,7 +109,7 @@ implements ICdmIO<SpecimenSynthesysExcelImportState> {
 	protected String identifier;
 	protected String gatheringNotes;
 
-	private DerivedUnitBase derivedUnitBase;
+	private DerivedUnit derivedUnitBase;
 	private Reference<?> ref = null;
 	private TransactionStatus tx;
 	private Classification classification = null;
@@ -197,7 +193,7 @@ implements ICdmIO<SpecimenSynthesysExcelImportState> {
 		 ref = getReferenceService().find(ref.getUuid());
 		 classification = getClassificationService().find(classification.getUuid());
 		 try{
-			 derivedUnitBase = (DerivedUnitBase) getOccurrenceService().find(derivedUnitBase.getUuid());
+			 derivedUnitBase = (DerivedUnit) getOccurrenceService().find(derivedUnitBase.getUuid());
 		 }catch(Exception e){
 			 //logger.warn("derivedunit up to date or not created yet");
 		 }
@@ -459,7 +455,7 @@ implements ICdmIO<SpecimenSynthesysExcelImportState> {
 		 }
 		 if (!exist){
 			 taxon = (Taxon) getTaxonService().find(taxon.getUuid());
-			 classification.addChildTaxon(taxon, ref, "", null);
+			 classification.addChildTaxon(taxon, ref, null);
 			 getClassificationService().saveOrUpdate(classification);
 			 //            refreshTransaction();
 		 }
@@ -491,7 +487,7 @@ implements ICdmIO<SpecimenSynthesysExcelImportState> {
 			 }
 		 }
 		 if (nomenclatureCode.toString().equals("Botanical")){
-			 taxonName  = nvnpi.parseFullName(scientificName,NomenclaturalCode.ICBN,null);
+			 taxonName  = nvnpi.parseFullName(scientificName,NomenclaturalCode.ICNAFP,null);
 			 if (taxonName.hasProblem()) {
 				 problem=true;
 			 }}
@@ -522,41 +518,41 @@ implements ICdmIO<SpecimenSynthesysExcelImportState> {
 	 }
 
 	 private DerivedUnitFacade getFacade() {
-		 // logger.info("GETFACADE");
-		 /**
-		  * SPECIMEN OR OBSERVATION OR LIVING
-		  */
-		 // DerivedUnitBase derivedThing = null;
-		 DerivedUnitType type = null;
-
-		 // create specimen
-		 if (recordBasis != null) {
-			 String rec = recordBasis.toLowerCase();
-			 if (rec.contains("specimen") || rec.startsWith("s")) {// specimen
-				 type = DerivedUnitType.Specimen;
-			 }
-			 if (rec.contains("observat") || rec.startsWith("o")) {
-				 type = DerivedUnitType.Observation;
-			 }
-			 if (rec.contains("fossil") || rec.startsWith("f") ){
-				 type = DerivedUnitType.Fossil;
-			 }
-
-			 if (rec.contains("living") || rec.startsWith("l")) {
-				 type = DerivedUnitType.LivingBeing;
-			 }
-			 if (type == null) {
-				 if(DEBUG) {
-					 logger.info("The basis of record does not seem to be known: "   + recordBasis);
-				 }
-				 type = DerivedUnitType.DerivedUnit;
-			 }
-		 } else {
-			 logger.info("The basis of record is null");
-			 type = DerivedUnitType.DerivedUnit;
-		 }
-		 DerivedUnitFacade derivedUnitFacade = DerivedUnitFacade.NewInstance(type);
-		 return derivedUnitFacade;
+	       // logger.info("GETFACADE");
+	        /**
+	         * SPECIMEN OR OBSERVATION OR LIVING
+	         */
+	        // DerivedUnit derivedThing = null;
+	    	SpecimenOrObservationType type = null;
+
+	        // create specimen
+	        if (recordBasis != null) {
+	            String rec = recordBasis.toLowerCase();
+	            if (rec.contains("specimen") || rec.startsWith("s")) {// specimen
+	                type = SpecimenOrObservationType.PreservedSpecimen;
+	            }
+	            if (rec.contains("observat") || rec.startsWith("o")) {
+	                type = SpecimenOrObservationType.Observation;
+	            }
+	            if (rec.contains("fossil") || rec.startsWith("f") ){
+	                type = SpecimenOrObservationType.Fossil;
+	            }
+
+	            if (rec.contains("living") || rec.startsWith("l")) {
+	                type = SpecimenOrObservationType.LivingSpecimen;
+	            }
+	            if (type == null) {
+	                if(DEBUG) {
+	                    logger.info("The basis of record does not seem to be known: "   + recordBasis);
+	                }
+	                type = SpecimenOrObservationType.DerivedUnit;
+	            }
+	        } else {
+	            logger.info("The basis of record is null");
+	            type = SpecimenOrObservationType.DerivedUnit;
+	        }
+	        DerivedUnitFacade derivedUnitFacade = DerivedUnitFacade.NewInstance(type);
+	        return derivedUnitFacade;
 	 }
 
 	 /*
@@ -581,9 +577,9 @@ implements ICdmIO<SpecimenSynthesysExcelImportState> {
 			 if (!originalsource.isEmpty()){
 				 Reference<?> reference = ReferenceFactory.newGeneric();
 				 reference.setTitleCache(originalsource, true);
-				 derivedUnitBase.addSource(originalsource, "", reference, "");
+				 derivedUnitBase.addSource(OriginalSourceType.Import, originalsource, "", reference, "");
 			 }else{
-				 derivedUnitBase.addSource(unitID,"",ref,ref.getCitation());
+				 derivedUnitBase.addSource(OriginalSourceType.Import, unitID,"",ref,ref.getCitation());
 			 }
 			 /**
 			  * INSTITUTION & COLLECTION
@@ -655,7 +651,7 @@ implements ICdmIO<SpecimenSynthesysExcelImportState> {
 
 			 }else{
 				 if (!gatheringDate.isEmpty()){
-					 TimePeriod tp = TimePeriod.parseString(gatheringDate);
+					 TimePeriod tp = TimePeriodParser.parseString(gatheringDate);
 					 unitsGatheringEvent.setGatheringDate(tp);
 				 }
 			 }
@@ -701,21 +697,28 @@ implements ICdmIO<SpecimenSynthesysExcelImportState> {
 
 
 	 private Feature makeFeature(SpecimenOrObservationBase unit) {
-		 if (unit.isInstanceOf(DerivedUnit.class)) {
-			 return Feature.INDIVIDUALS_ASSOCIATION();
-		 } else if (unit.isInstanceOf(FieldObservation.class)
-				 || unit.isInstanceOf(Observation.class)) {
-			 return Feature.OBSERVATION();
-		 } else if (unit.isInstanceOf(Fossil.class)
-				 || unit.isInstanceOf(LivingBeing.class)
-				 || unit.isInstanceOf(Specimen.class)) {
-			 return Feature.SPECIMEN();
-		 }
-		 if (DEBUG) {
-			 logger.warn("No feature defined for derived unit class: "
-					 + unit.getClass().getSimpleName());
-		 }
-		 return null;
+	        if (unit == null){
+	        	return null;
+	        }
+	        SpecimenOrObservationType type = unit.getRecordBasis();
+	    	
+	    	if (type.isFeatureObservation()){
+	        	return Feature.OBSERVATION();
+	        }else if (type.isPreservedSpecimen() || 
+	        		type == SpecimenOrObservationType.LivingSpecimen ||
+	        	    type == SpecimenOrObservationType.OtherSpecimen
+	        		){
+	        	return Feature.SPECIMEN();
+	        }else if (type == SpecimenOrObservationType.Unknown || 
+	        		type == SpecimenOrObservationType.DerivedUnit 
+	        		) {
+	            return Feature.INDIVIDUALS_ASSOCIATION();
+	        }
+	        if (DEBUG) {
+	            logger.warn("No feature defined for derived unit class: "
+	                    + unit.getClass().getSimpleName());
+	        }
+	        return null;
 	 }
 
 	 private void makeIndividualsAssociation(Taxon taxon, DeterminationEvent determinationEvent, SpecimenSynthesysExcelImportConfigurator config) {
@@ -744,9 +747,9 @@ implements ICdmIO<SpecimenSynthesysExcelImportState> {
 		 indAssociation.setFeature(feature);
 
 		 for (Reference<?> citation : determinationEvent.getReferences()) {
-			 indAssociation.addSource(DescriptionElementSource.NewInstance(null, null, citation, null));
+			 indAssociation.addSource(DescriptionElementSource.NewInstance(OriginalSourceType.Import, null, null, citation, null));
 		 }
-		 indAssociation.addSource(null,null,config.getDataReference(),null);
+		 indAssociation.addSource(OriginalSourceType.Import, null,null,config.getDataReference(),null);
 
 		 taxonDescription.addElement(indAssociation);
 		 taxonDescription.setTaxon(taxon);
@@ -774,7 +777,7 @@ implements ICdmIO<SpecimenSynthesysExcelImportState> {
 		 if (state.getConfig().doAskForDate()) {
 			 keepAtomisedDate = askQuestion("Gathering dates can be stored in either atomised fieds (day month year) or in a concatenated field."+
 					 "\nWhich value do you want to store?\nPress 1 for the atomised, press 2 for the concatenated field, and then press enter.");
-			 useTDWGarea = askQuestion("Use TDWG area or WaterbodyOrCountry/namedarea?\n Press 1 for TDWG areas\n Press 2 for classics WaterbodyOrCountry.");
+			 useTDWGarea = askQuestion("Use TDWG area or Country/namedarea?\n Press 1 for TDWG areas\n Press 2 for classics Country.");
 		 }
 
 		 tx = startTransaction();
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/SimpleSpecimen.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/SimpleSpecimen.java
index 18bb5c684b..71035cc41d 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/SimpleSpecimen.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/SimpleSpecimen.java
@@ -18,9 +18,9 @@ import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
 
 /**
  * @author a.mueller
@@ -31,9 +31,9 @@ public class SimpleSpecimen {
 	private static final Logger logger = Logger.getLogger(SimpleSpecimen.class);
 	
 	private GatheringEvent gatheringEvent;
-	private FieldObservation fieldObservation;
+	private FieldUnit fieldUnit;
 	private DerivationEvent derivationEvent;
-	private Specimen specimen;
+	private DerivedUnit specimen;
 	private Collection collection;
 	private TaxonNameBase<?, ?> storedUnderName;
 	private String titleCache;
@@ -47,15 +47,15 @@ public class SimpleSpecimen {
 		gatheringEvent = GatheringEvent.NewInstance();
 		
 		//observation
-		fieldObservation = FieldObservation.NewInstance();
-		fieldObservation.setGatheringEvent(gatheringEvent);
+		fieldUnit = FieldUnit.NewInstance();
+		fieldUnit.setGatheringEvent(gatheringEvent);
 		
 		//derivationEvent
 		derivationEvent = DerivationEvent.NewInstance(DerivationEventType.ACCESSIONING());
-		derivationEvent.addOriginal(fieldObservation);
+		derivationEvent.addOriginal(fieldUnit);
 		
 		//derivedUnit
-		specimen = Specimen.NewInstance();
+		specimen = DerivedUnit.NewPreservedSpecimenInstance();
 		derivationEvent.addDerivative(specimen);
 	}
 	
@@ -135,14 +135,14 @@ public class SimpleSpecimen {
 	/**
 	 * @return the specimen
 	 */
-	public Specimen getSpecimen() {
+	public DerivedUnit getSpecimen() {
 		return specimen;
 	}
 
 	/**
 	 * @param specimen the specimen to set
 	 */
-	public void setSpecimen(Specimen specimen) {
+	public void setSpecimen(DerivedUnit specimen) {
 		this.specimen = specimen;
 	}
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/TaxonXDescriptionImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/TaxonXDescriptionImport.java
index 8c96436e52..95c69e6af6 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/TaxonXDescriptionImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/TaxonXDescriptionImport.java
@@ -28,10 +28,11 @@ import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.io.common.CdmIoBase;
 import eu.etaxonomy.cdm.io.common.ICdmIO;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
-import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
+import eu.etaxonomy.cdm.model.description.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.description.TextData;
@@ -111,7 +112,7 @@ public class TaxonXDescriptionImport extends CdmIoBase<TaxonXImportState> implem
 		TaxonDescription description = TaxonDescription.NewInstance();
 		description.setTitleCache(getDescriptionTitle(state), true);
 		if (modsReference != null){
-			description.addSource(null, null, modsReference, null);
+			description.addSource(OriginalSourceType.PrimaryTaxonomicSource, null, null, modsReference, null);
 		}
 		
 		Element elTaxonBody = root.getChild("taxonxBody", nsTaxonx);
@@ -141,7 +142,7 @@ public class TaxonXDescriptionImport extends CdmIoBase<TaxonXImportState> implem
 				
 				//add reference
 				if (modsReference != null){
-					descriptionElement.addSource(null, null, modsReference, null, null, null);
+					descriptionElement.addSource(OriginalSourceType.PrimaryTaxonomicSource, null, null, modsReference, null, null, null);
 				}
 			}
 
